Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	LinCity-NG is a City Simulation Game.
Name:		lincity-ng
Version:	1.1.2
Release:	4
License:	GNU/GPL 
URL:		http://lincity-ng.berlios.de/
Group:		Games/Simulation
Source0:	%{name}-%{version}.tar.bz2
Patch0:		lincity-1.1.2-bugfix.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jam 
BuildRequires:  physfs-devel 
BuildRequires:  libxml2-devel
BuildRequires:	SDL-devel 
BuildRequires:  SDL_mixer-devel 
BuildRequires:  SDL_image-devel 
BuildRequires:  SDL_ttf-devel 
BuildRequires:  SDL_gfx-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
Obsoletes:	lincity-ng-sounds lincity-ng-images

%description
LinCity-NG is a City Simulation Game.
It is a polished and improved version of the classic LinCity game.
Within the scope of the GoTM project at happypenguin.org we have created a new iso-3d graphics engine
together with a completely redone and modern gui.
For more details see: http://lincity-ng.berlios.de/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--bindir=%_bindir \
				--datadir=%_datadir \
				--enable-optimize
jam

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
(jam -s bindir=$RPM_BUILD_ROOT%_bindir -s applicationsdir=$RPM_BUILD_ROOT%_datadir/applications -s datadir=$RPM_BUILD_ROOT%_datadir -s mandir=$RPM_BUILD_ROOT%_mandir install)
mkdir -p $RPM_BUILD_ROOT%_mandir/man6
cp $RPM_BUILD_DIR/%{name}-%{version}/doc/*.6 $RPM_BUILD_ROOT%_mandir/man6
sed -i "s:Icon=lincity-ng.png:Icon=/usr/share/pixmaps/lincity-ng.png:" $RPM_BUILD_ROOT%_datadir/applications/lincity-ng.desktop
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/lincity-ng
%_datadir/applications/lincity-ng.desktop
%_docdir/*
%_datadir/lincity-ng/*
%_mandir/man6/*
%_datadir/pixmaps/lincity-ng.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-4
- rebuilt against SDL_gfx 2.0.17
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-3
- rebuilt against libstdc++ 1:4.1.2
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-2
- rebuilt against physfs 1.1.1
- added bugfix
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.2-1
- Version update
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-2
- rebuilt against physfs 1.0.1
* Sun Apr 16 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Version update
* Sat Oct 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update, removed wrong obsoletes tag, joined packages, redefined files list
* Thu Jun 23 2005 Christian Wasem <wasem@ccux-linux.de> 1.0-1
- Initial Release
